Kontentga o'tish

Bitta mijoz bo'yicha batafsil ma'lumot

GET
/v1/customer/{id}
curl --request GET \
--url https://api-admin.billz.ai/v1/customer/622c8993-9f82-45ae-a69d-63103d8506d5 \
--header 'Authorization: Bearer <token>' \
--header 'platform-id: 7d4a4c38-dd84-4902-b744-0488b80a4c01'

Xato kodlari: 400 — kiruvchi ma’lumotlar validatsiya xatosi; 404 — obyekt topilmadi; 401, 403, 429, 500 — barcha metodlar uchun umumiy. Tana formatlari va semantikasi: Javob kodlari va xatolar.

id
required
string format: uuid

Mijoz identifikatori; yaroqli UUID bo’lishi kerak

Example
622c8993-9f82-45ae-a69d-63103d8506d5
platform-id
string
default: 7d4a4c38-dd84-4902-b744-0488b80a4c01

Platforma identifikatori. Integratsiyalar uchun statik qiymat ishlatiladi.

Muvaffaqiyatli javob

Media typeapplication/json
object
id

Mijoz IDsi

string format: uuid
external_id

Tashqi identifikator

string
company_id

Kompaniya ID si

string
first_name

Ism

string
last_name

Familiya

string
middle_name

Otasining ismi

string
language

Enums: ru,en,uz

string
date_of_birth

Tug’ilgan sana

string
gender

Example: male, female (kichik harflar)

string
phone_numbers

Telefonlar

Array<string>
marital_status

Example: single, married

string
registered_shop

Ro’yxatdan o’tgan do’kon

object
id
string
name
string
registered_shop_name
string
last_purchase_date

Oxirgi xarid sanasi

string
channel

Kanal

object
id
string
company_id
string
name
string
session_id
string
sms_notification

SMS-bildirishnomalar

boolean
phone_notification

Telefon bildirishnomalari

boolean
social_network_notification

Ijtimoiy tarmoqlardagi bildirishnomalar

boolean
purchase_amount

Xaridlar summasi

number format: double
debt_amount

Qarz summasi

number format: double
email_notification

Email-bildirishnomalar

boolean
groups

Guruhlar va teglar; maydonlar: id, company_id, name, session_id, loyalty_level_id, group_type, active, is_auto, description, external_id, created_at, discount_percent, customer_group_id, segment_conditions, customer_qty, works_on_retail_price, works_on_free_price, works_on_wholesale_price

Array<object>
object
id
string
company_id
string
name
string
session_id
string
loyalty_level_id
string
group_type
string
active
boolean
is_auto
boolean
description
string
external_id
string
created_at
string
discount_percent
integer
customer_group_id
string
segment_conditions
Array<object>
nullable
object
customer_qty
integer
works_on_retail_price
boolean
works_on_free_price
boolean
works_on_wholesale_price
boolean
group_names
Array<string>
nullable
tag_names
Array<string>
nullable
cards

Mijoz kartalari

Array<object>
object
id
string
name
string
code
string
is_active
boolean
created_at

Yaratilgan sana

string
loyalty_program_id

Sodiqlik dasturi ID si

string
loyalty_program_level_id

Sodiqlik dasturi darajasi ID si

string
last_update_date

Oxirgi yangilanish sanasi

string
balance

Keshbek balansi

number format: double
company_name

Kompaniya nomi

string
chat_id

Telegram chat_id

string
first_purchase_date

Birinchi xarid sanasi

string
source_id

Manba identifikatori

string
deleted_at

0 — o’chirilmagan; boshqa qiymatda metod 404 qaytaradi

integer format: int64
country_name
string
addresses

Manzillar

Array<object>
object
id
string
country_id
string
city
string
address
string
postcode
string
note
string
social_networks

Ijtimoiy tarmoqlar (takroriy e’lon)

Array<object>
object
id
string
name
string
value
string
relatives

Qarindoshlar

Array<object>
object
id
string
first_name
string
last_name
string
middle_name
string
date_of_birth
string
relative_type
string
phone_numbers
string
note
string
notes

Eslatmalar

Array<object>
object
id
string
note_type
string
value
string
created_by
string
created_at
string
tasks

Vazifalar

Array<object>
object
id
string
note_type
string
value
string
done
string
custom_fields

Maxsus maydonlar

Array<object>
object
id
string
name
string
type
string
values
string
average_purchase_amount

O’rtacha xarid summasi

number format: double
average_products_price

Mahsulotlarning o’rtacha narxi

number format: double
client_type

Mijoz turi

string
average_discount

O’rtacha chegirma

number format: double
average_products_count

Chekdagi mahsulotlarning o’rtacha soni

number format: double
top_transaction

Eng yirik tranzaksiya

number format: double
visits_count

Tashriflar soni

integer format: int64
props_updated

Xususiyatlarni yangilash belgisi

boolean
imported_debt_amount
number
imported_debt_repayment_date
string
sort
Array
nullable
Examplegenerated
{
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"external_id": "example",
"company_id": "example",
"first_name": "example",
"last_name": "example",
"middle_name": "example",
"language": "example",
"date_of_birth": "example",
"gender": "example",
"phone_numbers": [
"example"
],
"marital_status": "example",
"registered_shop": {
"id": "example",
"name": "example"
},
"registered_shop_name": "example",
"last_purchase_date": "example",
"channel": {
"id": "example",
"company_id": "example",
"name": "example",
"session_id": "example"
},
"sms_notification": true,
"phone_notification": true,
"social_network_notification": true,
"purchase_amount": 1,
"debt_amount": 1,
"email_notification": true,
"groups": [
{
"id": "example",
"company_id": "example",
"name": "example",
"session_id": "example",
"loyalty_level_id": "example",
"group_type": "example",
"active": true,
"is_auto": true,
"description": "example",
"external_id": "example",
"created_at": "example",
"discount_percent": 1,
"customer_group_id": "example",
"segment_conditions": [
{}
],
"customer_qty": 1,
"works_on_retail_price": true,
"works_on_free_price": true,
"works_on_wholesale_price": true
}
],
"group_names": [
"example"
],
"tag_names": [
"example"
],
"cards": [
{
"id": "example",
"name": "example",
"code": "example",
"is_active": true
}
],
"created_at": "example",
"loyalty_program_id": "example",
"loyalty_program_level_id": "example",
"last_update_date": "example",
"balance": 1,
"company_name": "example",
"chat_id": "example",
"first_purchase_date": "example",
"source_id": "example",
"deleted_at": 1,
"country_name": "example",
"addresses": [
{
"id": "example",
"country_id": "example",
"city": "example",
"address": "example",
"postcode": "example",
"note": "example"
}
],
"social_networks": [
{
"id": "example",
"name": "example",
"value": "example"
}
],
"relatives": [
{
"id": "example",
"first_name": "example",
"last_name": "example",
"middle_name": "example",
"date_of_birth": "example",
"relative_type": "example",
"phone_numbers": "example",
"note": "example"
}
],
"notes": [
{
"id": "example",
"note_type": "example",
"value": "example",
"created_by": "example",
"created_at": "example"
}
],
"tasks": [
{
"id": "example",
"note_type": "example",
"value": "example",
"done": "example"
}
],
"custom_fields": [
{
"id": "example",
"name": "example",
"type": "example",
"values": "example"
}
],
"average_purchase_amount": 1,
"average_products_price": 1,
"client_type": "example",
"average_discount": 1,
"average_products_count": 1,
"top_transaction": 1,
"visits_count": 1,
"props_updated": true,
"imported_debt_amount": 1,
"imported_debt_repayment_date": "example",
"sort": [
"example"
]
}